/*
Blocks Responsive Menu
Created by: marcoarib
Date: 2013/05/13
*/

@import "font-awesome.css";

/* Menu configuration
===================== */
.menu{
	float:left;
	width: 100%;
	list-style: none;
	display: inline-block;
	margin: 0;
	padding: 0;
	font-family: 'Raleway', sans-serif;
	font-size: 14px;
	color: #FFF;
	position: relative;
	background: #303f51;
	margin-bottom:0 !important;
	
	border-left:#000 solid 1px;
}
.menu > li{
	float: left;
	display: inline;
	text-transform:uppercase;
	/*padding-top: 5px;*/
	padding-bottom: 8px;
	-webkit-transition: all .4s ease-in-out; 
	-moz-transition: all .4s ease-in-out; 
	-o-transition: all .4s ease-in-out;  
	transition: all .4s ease-in-out;
	
	border-right:#000 solid 1px;
	/*border-right:#000 solid 1px;*/
}


.menu > li > a{
	width: 145px;
	font-size:14px;
	padding: 60px 0 24px 0;
	text-decoration: none;
	float: left;
	color: #FFF;
	outline: none;
	text-align: center;
	background: #303f51;
	-webkit-transition: color .4s ease-in-out; 
	-moz-transition: color .4s ease-in-out; 
	-o-transition: color .4s ease-in-out;  
	transition: color .4s ease-in-out;
}
.menu > li:hover,
.menu > li.active{
	background: #000;
}
.menu > li:hover > a,
.menu > li.active > a{
	color: #e46713;
}
.menu > li > a > i{
	display: table-cell; 
	position: absolute;
	margin-top: -47px;
	margin-left: 60px;
	font-size: 20px;
}

/* Right alignment
===================== */
.right{
	float: right !important;
}

/* Dropdown
===================== */
.menu ul, 
.menu ul li ul {
	list-style: none;
    margin: 0;
	margin-bottom:0 !important;
    padding: 0;    
	display: none;
    z-index: 999;
	min-width:121px;
	border: solid 1px transparent;
	position: absolute;
	-webkit-transition:opacity 0.2s linear, visibility 0.2s linear; 
	-moz-transition:opacity 0.2s linear, visibility 0.2s linear; 
	-o-transition:opacity 0.2s linear, visibility 0.2s linear; 
	transition:opacity 0.2s linear, visibility 0.2s linear; 
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}
.menu ul {
    top: 105px;
	margin-left: -1px;
}
.menu ul li ul {
    left: 100%;
	top: inherit;
}
.menu ul li {
	clear: both;
	width: 100%;
}
.menu ul li a {
	float:left;
	width:100%;
	padding:10px 15px;
	text-decoration:none;
	display:block;
	color: #303f51;
	font-size: 13px;
	background: #FFFFFF;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	border-bottom:#efefef solid 1px;
	text-transform:capitalize;
	font-size:14px;
}
.menu ul li:hover > a{
	color: #FFF;
	background:#303f51;
	
	transition:all ease 0.5s;
	-moz-transition:all ease 0.5s;
	-ms-transition:all ease 0.5s;
	-o-transition:all ease 0.5s;
	-webkit-transition:all ease 0.5s;
}

/* Dropdown indicators (responsive mobile view)
=============================================== */
.menu li .indicator{
	position: absolute;
	font-family: 'FontAwesome';
	font-size: 12px;
	right: 15px;
	margin-top: 5px;
	display: none;
}
.menu li .indicator:before{
	content: "\f0d7";
}


/* Styles
===================== */

/* blue */
.blue > li:hover, .blue > li.active{ background: #02B8FA; }
.blue > li:hover > a, .blue ul > li:hover > a, .blue > li.active > a{ color: #02B8FA; }
/* grey */
.grey > li:hover, .grey > li.active{ background: #838689; }
.grey > li:hover > a, .grey ul > li:hover > a, .grey > li.active > a{ color: #838689; }
/* green */
.green > li:hover, .green > li.active{ background: #519548; }
.green > li:hover > a, .green ul > li:hover > a, .green > li.active > a{ color: #519548; }
/* red */
.red > li:hover, .red > li.active{ background: #cf0404; }
.red > li:hover > a, .red ul > li:hover > a, .red > li.active > a{ color: #cf0404; }
/* orange */
.orange > li:hover, .orange > li.active{ background: #FA6900; }
.orange > li:hover > a, .orange ul > li:hover > a, .orange > li.active > a{ color: #FA6900; }
/* purple */
.purple > li:hover, .purple > li.active{ background: #A737FA; }
.purple > li:hover > a, .purple ul > li:hover > a, .purple > li.active > a{ color: #A737FA; }
/* yellow */
.yellow > li:hover, .yellow > li.active{ background: #CAA91E; }
.yellow > li:hover > a, .yellow ul > li:hover > a, .yellow > li.active > a{ color: #CAA91E; }



/* Collapsible menu
===================== */
.menu > li.showhide{
	display: none;
	width: 100%;
	height: 50px;
	background: #293645;
	cursor: pointer;
	border-bottom: solid 1px rgba(0, 0, 0, 0.1);
}
.menu > li.showhide span{
	margin: 15px 0 0 25px;
	float: left;
}
.menu > li.showhide i{
	margin: 10px 10px 0 0;
	float: right;
	font-size: 30px;
}

.menu li ul:before {
  content: "";
  position: absolute;
  top: -8px;
  left: 23%;
  border-bottom: 5px solid #e46713;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  z-index:1000 !important;

}

.menu li ul
{
  border-top: 4px solid #e46713;
}



/* Responsive configuration
=========================== */

@media (max-width: 1170px) {
	.menu{
		display: block;
	}
	.menu li{
		display: block;
		width: 100%;
		padding-top: 0;
		padding-bottom: 0;
		box-sizing:border-box;
		-moz-box-sizing:border-box; 
		-webkit-box-sizing:border-box;
		background: #eeeeee;
	}
	.menu li a{
		width: 100%;
		padding-top:15px;
		padding-bottom:15px;
		padding-left: 20px;
		border-bottom: solid 1px rgba(0, 0, 0, 0.1);
		text-align: left;
		box-sizing:border-box;
		-moz-box-sizing:border-box; 
		-webkit-box-sizing:border-box;
	}
	.menu > li > a > i{
		margin-top: 0;
		margin-left: 0;
		margin-right: 5px;
		line-height: 21px;
		font-size: 20px;
		position: relative;
		float: left;
	}
	.menu > li.showhide{
		display: block;
	}
	.menu > li:hover,
	.menu > li.active{
		background: #303f51;
	}
	.menu ul, 
	.menu ul li ul{
		width: 100%;
		left: 0;
		margin-left: 0;
		border-left: none;
		position: static;
		box-sizing:border-box;
		-moz-box-sizing:border-box; 
		-webkit-box-sizing:border-box;
	}
	.menu > li > ul > li > a{
		padding-left: 35px !important;
	}
	.menu > li > ul > li > ul > li > a{
		padding-left: 45px !important;
	}
	.menu > li > ul > li > ul > li > ul > li > a{
		padding-left: 65px !important;
	}
	.menu li .indicator{
		display: inline-block;
	}
}

























